Loading...
Searching...
No Matches
volk_32fc_index_min_32u.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <volk/volk_complex.h>`
`#include <pmmintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`
`#include <volk/volk_neon_intrinsics.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32fc_index_min_32u_u_H

## Functions

static void | volk_32fc_index_min_32u_a_sse3 (uint32_t *target, const lv_32fc_t *source, uint32_t num_points)
static void | volk_32fc_index_min_32u_generic (uint32_t *target, const lv_32fc_t *source, uint32_t num_points)
static void | volk_32fc_index_min_32u_neon (uint32_t *target, const lv_32fc_t *source, uint32_t num_points)

## Macro Definition Documentation

## INCLUDED_volk_32fc_index_min_32u_u_H

#define INCLUDED_volk_32fc_index_min_32u_u_H

## Function Documentation

## volk_32fc_index_min_32u_a_sse3()

void volk_32fc_index_min_32u_a_sse3 | ( | uint32_t * | target,
|  | const lv_32fc_t * | source,
|  | uint32_t | num_points )

inline static

## volk_32fc_index_min_32u_generic()

void volk_32fc_index_min_32u_generic | ( | uint32_t * | target,
|  | const lv_32fc_t * | source,
|  | uint32_t | num_points )

inline static

## volk_32fc_index_min_32u_neon()

void volk_32fc_index_min_32u_neon | ( | uint32_t * | target,
|  | const lv_32fc_t * | source,
|  | uint32_t | num_points )

inline static